{% extends 'core/base.html' %}

{% load static %}

{% block navegador %}
<div class="container container--flex">
    <span class="icon-menu" id="btnmenu"></span>
    <ul class="menu" id="menu">
        <li class="menu__item"><a href="{% url 'home' %}" class="menu__link">Inicio</a></li>
        <li class="menu__item"><a href="{% url 'nosotros' %}" class="menu__link">Nosotros</a></li>
        <li class="menu__item"><a href="{% url 'registrar' %}" class="menu__link">Registrar Mascota</a></li>
        <li class="menu__item"><a href="{% url 'galeria' %}" class="menu__link">Mascotas Encontradas</a></li>
        <li class="menu__item"><a href="{% url 'perdidas' %}" class="menu__link">Mascotas Perdidas</a></li>
        {% if user.is_authenticated %}
        {% if user.username == "admin" %}
        <li class="menu__item"><a href="{% url 'listado' %}" class="menu__link">Listado Mascotas</a></li>
        {% endif %}
        <li class="menu__item"><a href="#" class="menu__link">Usuario: {{ user.username}}</a></li>
        <li class="menu__item">
            <a href="{% url 'logout' %}" class="menu__link menu__link--select">Cerrar sesión</a>
        </li>
        {% else %}
        <li class="menu__item">
            <a href="{% url 'login' %}" class="menu__link">Iniciar sesión</a>
        </li>
        <li class="menu__item">
            <a href="{% url 'registro_usuario' %}" class="menu__link">Registrar</a>
        </li>
        {% endif %}

    </ul>
    <!--div class="social-icon"><a href="" class="social-icon__link"><span class="icon-facebook"></span></a><a href="" class="social-icon__link"><span class="icon-email"></span></a></div-->
</div>
{% endblock %}

{% block banner %}
<section class="banner">
    <img src="{% static 'core/img/gatito.jpg'%}" alt="" class="banner__img">
    <div class="banner__content">Listado de Todas las Mascotas de nuestra Base de Datos</div>
</section>
{% endblock %}

{% block javascript %}
<script src="{% static 'core/js/menu.js'%}"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@8"></script>
<script src="{% static 'core/js/confirmacion.js' %}"></script>
{% endblock %}

{% block css %}
<link rel="stylesheet" href="{% static 'core/css/estilos2.css' %}">
{% endblock %}

{% block contenido %}
<div class="container">

    <h2>Listado de Mascotas</h2>
    
    
    <table class="table table-striped">
        <tr>
            <th>Nombre</th>
            <th>Tipo</th>
            <th>Especie</th>
            <th>Sexo</th>
            <th>Observaciones</th>
            <th>Opciones</th>
        </tr>
    
        {% for m in listado %}
        <tr>
            <td>{{m.nombre}}</td>
            <td>{{m.tipo}}</td>
            <td>{{m.especie}}</td>
            <td>{{m.sexo}}</td>
            <td>{{m.observaciones}}</td>
            <td>
                <a href="{% url 'modificar' m.id %}">Modificar</a>
                <a href="#" onclick="confirmarEliminacion({{m.id}})">Eliminar</a>
            </td>
        </tr>
        {% endfor %}
    
    </table>
</div>

{% endblock %}